# Flutter SDK

## 패키지 리스트

<table><thead><tr><th width="162">종류</th><th width="281">패키지 </th><th>설명</th></tr></thead><tbody><tr><td><a href="flutter-sdk/login-library">로그인</a></td><td><code>wepin_flutter_login_lib</code></td><td>소셜 로그인과 같은 OAuth 인증 토큰으로 위핀에 로그인하는 기능을 제공합니다.</td></tr><tr><td><a href="flutter-sdk/widget">위젯</a></td><td><code>wepin_flutter_widget_sdk</code></td><td>위핀 위젯을 사용하기 위한 기능을 제공합니다.</td></tr></tbody></table>

{% hint style="warning" %}

#### Migration Guide 안내

이전 버전의 위핀 패키지인 <mark style="color:blue;">**`wepin_flutter_sdk`**</mark>를 사용 중이라면, 호환성과 최신 기능을 사용하기 위해 현재 버전의 SDK와 로그인 라이브러리로 Migration하는 것이 중요합니다.

**지원 중단된 패키지**

* <mark style="color:blue;">**`wepin_flutter_sdk`**</mark><br>

**현재 패키지**

* <mark style="color:blue;">**`wepin_flutter_widget_sdk`**</mark>

\
기존 패키지에서 새로운 패키지로 Migration하려면 아래 링크에서 자세한 Migration가이드를 확인하세요:

* [Wepin Flutter Widget SDK Migration Guide](https://github.com/WepinWallet/wepin-flutter-sdk-v1/blob/main/packages/wepin_flutter_widget_sdk/MIGRATIONGUIDE.md)&#x20;
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wepin.io/widget-integration/flutter-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
